Bug 130365 - Request to include EMC Celerra and iSCSI devices to the black list
Request to include EMC Celerra and iSCSI devices to the black list
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 13:19 EDT by Heather Conway
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heather Conway 2004-08-19 13:19:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; EMC IS 
55; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
I would like to request that Red Hat consider incorporating the 
following code to the SCSI black list in the RHEL 2.1 and RHEL 3.0 
kernels.  This code will allow LUN skipping, correct identification, 
and large LUN identification of EMC Celerra and iSCSI devices.
 
for existing LUN:
{"EMC", "Celerra iSCSI", "*", BLIST_SPARSELUN | BLIST_LARGELUN | 
BLIST_FORCELUN}

for non-existing LUN:
{"EMC", "iSCSI", "*", BLIST_SPARSELUN | BLIST_LARGELUN | 
BLIST_FORCELUN}

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
When attaching to EMC Celerra/iSCSI devices, this code should be 
added to the v2.4.x SCSI black list to allow for correct 
identification of the devices.

Additional info:
Comment 1 Arjan van de Ven 2004-08-19 13:22:14 EDT
looks good; can you send a patch with this to the linux-scsi
mailinglist as well?

Other question: the 2.6 kernel will use the report-luns command IF a
device claims scsi3 compliance, if it doesn't claim that but still
supports report-luns the prefered method is to blacklist this (instead
of the SPARSE/LARGE lun flags). Can you find out if/how this device
behaves in this respect ?
Comment 2 Heather Conway 2004-08-20 08:41:43 EDT
Yes to both of your questions....thanks!
Comment 3 Tom Coughlan 2004-12-23 16:41:41 EST
Heather,

I overlooked this for U4/U6 (sorry). Fortunately it is not necessary
to update the whitelist for the Cisco software initiator. The driver
does its own scanning, so the midlayer whitelist is ignored. I have
tested sparsely-numbered LUNs on U4 with Celerra, and it works fine
without the whitelist entries.

I will add the "Celerra iSCSI" to the whitelist in U5/U7 anyway, just
in case anyone tries to use the hardware initiators. They will
presumably use the midlayer scanning.

Would you please explain what you mean by "non-existing LUN" above?
What are non-existing LUNs, and why do we need a whitelist entry for
them? 
Comment 4 Tom Coughlan 2005-02-17 11:57:15 EST
Heather, 

Can you look in to my question about "non-existing LUN" above?

Tom
Comment 5 Ernie Petrides 2005-02-22 04:27:59 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.17.EL).
Comment 6 Tim Powers 2005-05-18 09:27:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.